cURL
curl --request GET \
--url 'https://public.api.inop.ai/v1/match-insights?job_post_id={jobId}' \
--header 'Authorization: Bearer <token>'import requests
url = "https://public.api.inop.ai/v1/match-insights?job_post_id={jobId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://public.api.inop.ai/v1/match-insights?job_post_id={jobId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"messages": "",
"data": [
{
"match_id": "abc-123",
"candidate": {
"first_name": "John",
"last_name": "Doe",
"linkedin_url": "https://linkedin.com/in/johndoe",
"email": "johndoe@example.com"
},
"insights": {
"recommendation_score": 87
}
},
{
"match_id": "xyz-789",
"candidate": {
"first_name": "Jane",
"last_name": "Smith",
"linkedin_url": "https://linkedin.com/in/janesmith",
"email": "janesmith@example.com"
},
"insights": {
"recommendation_score": 92
}
}
]
}{
"error": 123,
"message": "<string>"
}Talent Screening
Get All Matched Candidates
Returns all candidates by job ID
GET
/
match-insights?job_post_id=
{jobId}
cURL
Retrieves all matched candidates for a specific job post.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The maximum number of results to return
⌘I
